Loading...
Searching...
No Matches
volk_32u_popcnt.h File Reference
`#include <inttypes.h>`
`#include <stdio.h>`
`#include <arm_neon.h>`
`#include <nmmintrin.h>`

Go to the source code of this file.

## Functions

static void | volk_32u_popcnt_generic (uint32_t *ret, const uint32_t value)
static void | volk_32u_popcnt_neon (uint32_t *ret, const uint32_t value)
static void | volk_32u_popcnt_a_sse4_2 (uint32_t *ret, const uint32_t value)

## Function Documentation

## volk_32u_popcnt_a_sse4_2()

void volk_32u_popcnt_a_sse4_2 | ( | uint32_t * | ret,
|  | const uint32_t | value )

inline static

## volk_32u_popcnt_generic()

void volk_32u_popcnt_generic | ( | uint32_t * | ret,
|  | const uint32_t | value )

inline static

## volk_32u_popcnt_neon()

void volk_32u_popcnt_neon | ( | uint32_t * | ret,
|  | const uint32_t | value )

inline static